Bug 110890 - Nautilus locks whole machine
Nautilus locks whole machine
Status: CLOSED DUPLICATE of bug 133905
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-25 05:18 EST by Ian Laurie
Modified: 2015-01-07 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 21:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2003-11-25 05:18:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
Using Natilus file manager, accidentally clicking on the /proc
directory in the tree view completely locks the system up.  All server
components stop responding, so you can't telnet or rlogin to kill the
GUI.  Nothing short of a power cycle will work.



Version-Release number of selected component (if applicable):
nautilus-2.2.4-4.E

How reproducible:
Sometimes

Steps to Reproduce:
1.  Launch Nautilus.
2.  Click on the /proc directory in tree view.

    

Actual Results:  System stops responding.  Nothing in the log files. 
Strangely the caps and scroll lock lights on the keyboard start
flashing at 1 second intervals, but the system is otherwise dead.

Expected Results:  On RedHat Linux 9.0 accidentally clicking on /proc
produces a blank right hand pane.  I would presume RHEL 3 should do
the same?

Additional info:

Pity the /proc is next to /root in the listing.... I've hit it twice
by mistake tonight and killed my machine on both occasions.

On another occasion I was able to look at /proc deliberately without
any  crash, while investigating the issue.

On both occasions I crashed the system I had used the preferences to
change the zoom of the icons views beforehand, but I suspect that is a
coincidence.
Comment 1 Suzanne Hillman 2003-11-25 15:44:35 EST
While it may be coincidence, knowing exactly what you did with
preferences for zoom might still help reproduce it here. Can you give
more details, or possibly manage to repeat the behavior with a better
idea of what you did beforehand?
Comment 2 Suzanne Hillman 2003-11-25 15:45:31 EST
Also - were there any extra programs running the two times you had it
happen?
Comment 3 Alexander Larsson 2003-11-26 03:06:41 EST
The caps lock flashing sounds like a kernel oops.
Comment 4 Ian Laurie 2003-11-26 16:16:01 EST
Here is how I have just done it this morning:

1. Boot system, login as root, launch Nautilus.
2. Initially Nautilus is in icon view at 75% zoom.
3. Click on /root in tree view, then /proc, then /opt.
4. Click in reverse, ie click on /proc then /root.
5. Select from preferences icon zoom of 100%.
6. Click back up, /proc then /opt.
7. Select icon zoom back to 75%.
8. Click back down.  When /proc is selected the system goes over.
9. Leds flash on the keyboard, but system is totally stopped with
   all services dead.

I was not able to work on this yesterday, but if you still can't
duplicate the problem I'll have more time to devote later today.

I can get it to happen within a few seconds of trying, so it is quite
repeatable.

The system is WS 3.0 on a DELL PowerEdge 600SC with apache, samba,
telnet, vsftpd (compiled from source cd) running.  I'll give you a "ps
ax" output if you need it.  I'm not running with the motherboard
video, I have a Matrox G450 in the bottom PCI slot.

The system appears to be solid in other respects, so I doubt there is
a h/w issue.  Hopefully within 24-48 hours I'll have another DELL
system to play with, I can see if the problem exists on it.  If you
want me to do a specific test, let me know.
Comment 5 Alexander Larsson 2003-11-27 04:32:09 EST
This really sounds like a kernel bug, since the kernel crashes. So i'm
reassigning.

However, reading various files in /proc has side effects, so reading
/proc as root isn't all that safe.
Comment 6 Ian Laurie 2004-04-16 20:06:18 EDT
Would it be crazy to modufy Nautilus to not iterate the /proc
directory, that is, treat /proc differently and not go in there?

I ask because I presume this would be a potential issue with any
version and distribution of Linux.
Comment 7 Ian Laurie 2004-07-22 04:30:39 EDT
With kernel-2.4.21-15.0.3.EL and nautilus-2.2.4-4.E I am no longer
able to reproduce this bug at will.

Previously I could get a kernel crash in 10 seconds or less, I've just
tried for 10 minutes and I can't crash it.

Comment 8 Alexander Larsson 2004-10-05 10:49:23 EDT
I'll consider this fixed then.
Comment 9 Ian Laurie 2005-01-02 20:23:40 EST
This is an issue again.  Under kernel-2.4.21-27.0.1.EL the symptom
I've experienced is the system freezes solid.  The screen is
unchanged, no obvious signs of a kernel OOPS as such (no flashing
keyboard lights), but you can't ssh or telnet into the box, she's
completely dead.
Comment 10 Ernie Petrides 2005-10-05 21:30:45 EDT
The real problem was in the kernel's handling of access to /proc/kcore.
Related bugs are 132838, 133905, 134988, 136317, 145563, and 151934.

The fix for this was committed to the RHEL3 U5 patch pool on 28-Jan-2005
(in kernel version 2.4.21-27.10.EL).

The U5 advisory message was as follows:

"An advisory has been issued which should help the problem
 described in this bug report. This report is therefore being
 closed with a resolution of ERRATA. For more information
 on the solution and/or where to find the updated files,
 please follow the link below. You may reopen this bug report
 if the solution does not work for you.

 http://rhn.redhat.com/errata/RHSA-2005-294.html"

But please upgrade to U6 now (RHSA-2005:663).


*** This bug has been marked as a duplicate of 133905 ***

Note You need to log in before you can comment on or make changes to this bug.